import express, { Application } from 'express';
import bodyParser from 'body-parser';
import cors from 'cors';
import router from './routes/index';
import { config } from './config/index';

const app: Application = express();

// 中间件
app.use(cors());
app.use(bodyParser.json());

// 路由
app.use('/api', router);

// 全局错误处理
app.use((err: any, req: express.Request, res: express.Response, next: express.NextFunction) => {
  console.error(err.stack);
  res.status(500).json({ error: 'Internal Server Error' });
});

export default app;