import { createServer } from 'http';
import app from './app';
import { config, validateEnv } from './config';
import { initializeDatabase } from './database';

const port = config.port || 3000;
const server = createServer(app);

async function startServer() {
  try {
    // 验证环境变量
    validateEnv();
    
    // 初始化数据库
    await initializeDatabase();
    
    // 启动服务器
    server.listen(port, () => {
      console.log(`Server running on http://localhost:${port}`);
    });
    
  } catch (error) {
    console.error('Failed to start server:', error);
    process.exit(1);
  }
}

startServer();